Bug 1101507 (CVE-2018-1000559)

Summary: VUL-0: CVE-2018-1000559: qutebrowser: Cross Site Scripting (XSS) vulnerability in history command
Product: [openSUSE] openSUSE Distribution Reporter: Alexander Bergmann <abergmann>
Component: BasesystemAssignee: Alexei Sorokin <sor.alexei>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P3 - Medium CC: abergmann, meissner, security-team
Version: Leap 15.0   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexander Bergmann 2018-07-17 16:08:40 UTC
CVE-2018-1000559

Description

qutebrowser version introduced in v0.11.0 (1179ee7a937fb31414d77d9970bac21095358449) contains a Cross Site Scripting (XSS) vulnerability in history command, qute://history page that can result in Via injected JavaScript code, a website can steal the user's browsing history. This attack appear to be exploitable via the victim must open a page with a specially crafted <title> attribute, and then open the qute://history site via the :history command. This vulnerability appears to have been fixed in fixed in v1.3.3 (4c9360237f186681b1e3f2a0f30c45161cf405c7, to be released today) and v1.4.0 (5a7869f2feaa346853d2a85413d6527c87ef0d9f, released later this week).

Reference:
https://nvd.nist.gov/vuln/detail/CVE-2018-1000559
Comment 1 Swamp Workflow Management 2018-07-17 21:50:10 UTC
This is an autogenerated message for OBS integration:
This bug (1101507) was mentioned in
https://build.opensuse.org/request/show/623516 42.3 / qutebrowser
https://build.opensuse.org/request/show/623517 15.0 / qutebrowser
Comment 2 Swamp Workflow Management 2018-07-28 14:00:11 UTC
openSUSE-SU-2018:2120-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1100968,1101507
CVE References: CVE-2018-1000559,CVE-2018-10895
Sources used:
openSUSE Leap 15.0 (src):    qutebrowser-1.4.1-lp150.2.3.1
Comment 3 Swamp Workflow Management 2018-07-28 14:04:21 UTC
openSUSE-SU-2018:2130-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1101507
CVE References: CVE-2018-1000559
Sources used:
openSUSE Leap 42.3 (src):    qutebrowser-0.11.1-2.3.1
Comment 4 Marcus Meissner 2018-08-05 11:15:33 UTC
released
Comment 5 Alexei Sorokin 2018-08-05 20:31:27 UTC
Released it is.